Exchange Server 2013 FAQ: Is the Office Filter Pack Required?

When you are installing an Exchange 2013 server, or upgrading it with a cumulative update, you may encounter a warning message regarding the Office Filter Pack not being installed.

exchange-2013-setup-office-filter-pack

This computer requires the Microsoft Office Filter Packs – Version 2.0. Please install the software from…

This computer requires the Microsoft Office 2010 Filter Packs – Version 2.0 – Service Pack 1. Please install the software from…

These are warning messages and do not block the installation or upgrade of Exchange 2013. The Office Filter Pack is not a mandatory Exchange 2013 pre-requisite.

The Exchange 2013 pre-requisites page on TechNet, at the time of this writing, does include the Office Filter Packs as a step in the preparation of a server for Exchange 2013. What it doesn’t make clear is that they are not required.

The new Exchange Search already has support for indexing/searching Office file types, as well as a series of other file types including some third party formats such as PDF. You can see a full list here.

So should you install the Office Filter Pack? If you want to stop seeing that warning message, then yes. If you want to take the approach of only installing required software on your servers, then no. Consider also that installing it means potentially having to update it later on if there is a bug fix or a security issue.

About Paul Cunningham

Paul is a Microsoft Exchange Server MVP and publisher of Exchange Server Pro. He also holds several Microsoft certifications including for Exchange Server 2007, 2010 and 2013. Connect with Paul on Twitter and Google+.

Comments

  1. JungoTaimed says:

    microsoft are such a bunch of clueless groups sometimes
    head tech writer said its not required still from beta and on its on technet and 99% of people think it is:)

  2. Hi Paul,

    You need Office Filter packs if you want to index Publisher and OneNote file types.

    http://www.howexchangeworks.com/2013/02/is-office-2010-filter-pack-required-for-installing-exchange-2013.html

    Thanks,
    Rajith.

  3. Hi Paul,

    Looks like the onenote and publisher file type has been included in CU1.

    Rajith.

  4. shaptoni says:

    It appears that though it is required:

    Performing Microsoft Exchange Server Prerequisite Check

    Configuring Prerequisites COMPLETED
    Prerequisite Analysis FAILED
    This computer requires the Microsoft Office 2010 Filter Packs – Version 2.0. Pl
    ease install the software from http://go.microsoft.com/fwlink/?LinkID=191548.
    For more information, visit: http://technet.microsoft.com/library(EXCHG.150)/ms
    .exch.setupreadiness.MSFilterPackV2NotInstalled.aspx

    This computer requires the Microsoft Office 2010 Filter Packs – Version 2.0 – S
    ervice Pack 1. Please install the software from http://go.microsoft.com/fwlink/?
    LinkId=262358.
    For more information, visit: http://technet.microsoft.com/library(EXCHG.150)/ms
    .exch.setupreadiness.MSFilterPackV2SP1NotInstalled.aspx

    • Are you installing the RTM or the CU1 build?

      • shaptoni says:

        CU1 – setup would not let me proceed (via GUI either) so installed these and the Unified Communications Managed API

        Thanks for all your articles though – can you write one concerning the Monitoring mailboxes?
        After moving all mailboxes including the Arbitration mailboxes off the first database, I deleted the database. But then running “Get-Mailbox -Monitoring” produced errors saying the Health Mailbox “has been corrupted”
        They can be removed in ADUC but I cant find any articles on this

        Cheers!

        • Got the same issue with the healthmonitoring mailboxes after deleting the default database. Any clue to why this is happening?

  5. Does the version of the Office filter pack on Exchange 2010 have to match your Office version? Example, I’m running Exchange 2010 with Office 2010 filter pack 2 but on my desktop PC I’m running Office 2010 SP1.

Leave a Comment

*

We are an Authorized DigiCert™ SSL Partner.